[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpFtruncate

Truncate file on certain size.

## Declaration

Source position: bunxh.inc line 94

`function FpFtruncate(`
`fd: cint;`
`flength: TOff`
`):cint;`

## Description

FpFTruncate sets the length of a file in fd on flength bytes, where flength must be less than or equal to the current length of the file in fd.

The function returns zero if the call was successful, a nonzero return value indicates that an error occurred.

## Errors

Extended error information can be retrieved using fpGetErrno.

## See also

FpOpen |  | Open file and return file descriptor
FpClose |  | Close file descriptor
FpRead |  | Read data from file descriptor
FpWrite |  | Write data to file descriptor
FpLSeek |  | Set file pointer position.